Списък на обажданията
curl --request GET \
--url https://call.aiployees.com/api/user/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://call.aiployees.com/api/user/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://call.aiployees.com/api/user/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 123,
"assistant_name": "Sales Assistant",
"campaign_name": "Q4 Outreach Campaign",
"type": "outbound",
"duration": 245,
"assistant_phone_number": "+1234567890",
"client_phone_number": "+1987654321",
"status": "completed",
"transcript": "Hello, this is Sarah from Aiplocalls. How are you doing today?...",
"variables": {
"customer_name": "John Smith",
"interest_level": "high",
"follow_up_date": "2025-08-15"
},
"evaluation": {
"sentiment": "positive",
"outcome": "qualified_lead",
"score": 8.5
},
"webhook_response": {
"status": "success",
"data": {
"crm_contact_id": "abc123"
}
},
"carrier_cost": 0.02,
"total_cost": 0.025,
"answered_by": "human",
"recording_url": "https://call.aiployees.com/recordings/calls/123.mp3",
"created_at": "2025-08-04 14:30:00",
"updated_at": "2025-08-04 14:34:05"
}
],
"first_page_url": "https://call.aiployees.com/api/user/calls?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://call.aiployees.com/api/user/calls?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://call.aiployees.com/api/user/calls?page=1",
"label": "1",
"active": true
},
{
"url": "https://call.aiployees.com/api/user/calls?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://call.aiployees.com/api/user/calls?page=2",
"path": "https://call.aiployees.com/api/user/calls",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
Обаждания
Списък на обажданията
Списък на всички обаждания за автентикирания потребител с опции за филтриране
GET
/
user
/
calls
Списък на обажданията
Този endpoint ви позволява да получите списък на всички обаждания принадлежащи на автентикирания потребител с различни опции за филтриране.
Query Parameters
string
Филтриране на обажданията по статус. Възможни стойности:
initiated, ringing, busy, in-progress, ended, completed, ended_by_customer, ended_by_assistant, no-answer, failedstring
Филтриране на обажданията по тип. Възможни стойности:
inbound, outbound, webstring
Филтриране на обажданията по телефонен номер на клиента
integer
Филтриране на обажданията по ID на асистента
integer
Филтриране на обажданията по ID на кампанията
string
Филтриране на обаждания от тази дата (формат YYYY-MM-DD)
string
Филтриране на обаждания до тази дата (формат YYYY-MM-DD)
integer
Брой обаждания на страница (1-100, по подразбиране: 15)
integer
Номер на страницата (по подразбиране: 1)
Response fields
array
Show properties
Show properties
integer
Уникалният идентификатор на обаждането
string
Името на асистента, който обработи обаждането
string
Името на кампанията, към която принадлежи това обаждане (ако е приложимо)
string
Типът на обаждането (
inbound, outbound, или web)integer
Продължителността на обаждането в секунди
string
Телефонният номер използван от асистента
string
Телефонният номер на клиента
string
Текущият статус на обаждането
string
Транскриптът на разговора от обаждането
object
Променливи събрани по време на обаждането
object
Данни за оценка на представянето на обаждането
object
Отговор от конфигурирани webhooks
number
Цената наложена от оператора за това обаждане
number
Общата цена на обаждането включително всички такси
string
Кой отговори на обаждането (
human, machine, или unknown)string
URL към записа на обаждането (ако е налично и активирано)
string
Датата и времето когато обаждането е създадено
string
Датата и времето когато обаждането е актуализирано последно
integer
Номерът на текущата страница
integer
Брой елементи на страница
integer
Общ брой обаждания отговарящи на критериите
integer
Номерът на последната страница
{
"current_page": 1,
"data": [
{
"id": 123,
"assistant_name": "Sales Assistant",
"campaign_name": "Q4 Outreach Campaign",
"type": "outbound",
"duration": 245,
"assistant_phone_number": "+1234567890",
"client_phone_number": "+1987654321",
"status": "completed",
"transcript": "Hello, this is Sarah from Aiplocalls. How are you doing today?...",
"variables": {
"customer_name": "John Smith",
"interest_level": "high",
"follow_up_date": "2025-08-15"
},
"evaluation": {
"sentiment": "positive",
"outcome": "qualified_lead",
"score": 8.5
},
"webhook_response": {
"status": "success",
"data": {
"crm_contact_id": "abc123"
}
},
"carrier_cost": 0.02,
"total_cost": 0.025,
"answered_by": "human",
"recording_url": "https://call.aiployees.com/recordings/calls/123.mp3",
"created_at": "2025-08-04 14:30:00",
"updated_at": "2025-08-04 14:34:05"
}
],
"first_page_url": "https://call.aiployees.com/api/user/calls?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://call.aiployees.com/api/user/calls?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://call.aiployees.com/api/user/calls?page=1",
"label": "1",
"active": true
},
{
"url": "https://call.aiployees.com/api/user/calls?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://call.aiployees.com/api/user/calls?page=2",
"path": "https://call.aiployees.com/api/user/calls",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
⌘I

